<?php
/**
 * Template part for displaying a message that posts cannot be found
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dotspice
 * @version 1.3.0
 */

?>

<div class="content none-content">
	<div class="container">
		<h1 class="none-content__h"><?php esc_html_e( 'Nothing Found', 'dotspice' ); ?></h1>
		<div class="none-content__text text-formatting">
			<?php
				if ( is_home() && current_user_can( 'publish_posts' ) ) {
					printf(
						'<p>' . wp_kses(
							/* translators: 1: link to WP admin new post page. */
							__( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'dotspice' ),
							array(
								'a' => array(
									'href' => array(),
								),
							)
						) . '</p>',
						esc_url( admin_url( 'post-new.php' ) )
					);
				}
				else if ( is_search() ) {
					?><p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'dotspice' ); ?></p><?php

					get_search_form();
				}
				else {
					?><p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'dotspice' ); ?></p><?php

					get_search_form();
				}
			?>
		</div>
	</div><!-- .container -->
</div><!-- .content -->